module.exports = function (source) {
  return source
    .replace(/@end/g, '<?}?>')
    .replace(/@if([^\n\r]*)/g, '<?if($1) {?>')
    .replace(/@elseif([^\n\r]*)/g, '<?} else if($1) {?>')
    .replace(/@else/g, '<?} else {?>')
    .replace(/@foreach([^\n\r]*)/g, '<?foreach($1) {?>')
    .replace(/@for([^\n\r]*)/g, '<?for($1) {?>')
    .replace(/@while([^\n\r]*)/g, '<?while($1) {?>')
    .replace(/<\?([^]*?)\?>/g, function (_, php) {
      return '___php_begin___' +
          new Buffer(php).toString('base64') +
          '___php_end___'
    })
}
