const path = require('path')

module.exports = {
  entry: './_entry',
  output: {
    filename: '_output.js',
  },
  module: {
    rules: [
      {
        test: /\.php$/,
        loaders: [{
          loader: 'file-loader',
          options: {
            name: (filePath) => {
              return path.relative(path.join(__dirname, '/pages'), filePath)
            },
            outputPath: '.templates/',
          },
        }, {
          loader: '../lib',
          options: {
            root: __dirname,
          },
        }],
      },
    ],
  },
}
